## glite-lbjp-common-db 3.1.2

=== Makefile ===
# defaults
top_srcdir=..
builddir=build
stagedir=.
distdir=.
globalprefix=glite
lbutilsprefix=lbu
package=glite-lbjp-common-db
PREFIX=/opt/glite
prefix=

mysql-devel_prefix=/opt/mysql
postgresql_prefix=/usr
cppunit_prefix=/opt/cppunit
thrflavour=gcc32pthr
nothrflavour=gcc32

-include Makefile.inc
-include ${top_srcdir}/project/version.properties

version=${module.version}

CC=gcc

VPATH=${top_srcdir}/interface:${top_srcdir}/src:${top_srcdir}/examples:${top_srcdir}/test

DEBUG:=-g -O0 -W -Wall

CFLAGS:= ${CFLAGS} \
	${DEBUG} \
	-DVERSION=\"${version}\" \
	-I${stagedir}${prefix}/include -I${top_srcdir}/src -I. \
	-I${top_srcdir}/interface \
	${COVERAGE_FLAGS} \
	-D_GNU_SOURCE \
	-DHAVE_SYSLOG_H=1

ifdef LBS_DB_PROFILE
	CFLAGS:=${CFLAGS} -DLBS_DB_PROFILE
endif
ifneq (${mysql-devel_prefix},no)
	OBJS:=${OBJS} db-mysql.o
	CFLAGS:=${CFLAGS} -DMYSQL_ENABLED=1
	MYSQL_CFLAGS?=-I${mysql-devel_prefix}/include -I${mysql-devel_prefix}/include/mysql
	MYSQL_LIBS?=-L${mysql-devel_prefix}/${libdir} -L${mysql-devel_prefix}/${libdir}/mysql -lmysqlclient
endif
ifneq (${postgresql_prefix},no)
	OBJS:=${OBJS} db-pg.o
	CFLAGS:=${CFLAGS} -DPSQL_ENABLED=1
	PSQL_CFLAGS?=-I${postgresql_prefix}/include -I${postgresql_prefix}/include/postgresql
	PSQL_LIBS?=-L${postgresql_prefix}/${libdir} -lpq
endif

TEST_LIBS:=-L${cppunit_prefix}/${libdir} -lcppunit
TEST_INC:=-I${cppunit_prefix}/include

LDFLAGS:=${LDFLAGS} -L${stagedir}${prefix}/${libdir} ${COVERAGE_FLAGS}

COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
COMPILEXX:=libtool --mode=compile ${CXX} ${CFLAGS}
LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS} 
LINKXX:=libtool --mode=link ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS} 
INSTALL:=libtool --mode=install install

EXT_LIBS:=-lglite_lbu_trio -lglite_lbu_log ${MYSQL_LIBS} ${PSQL_LIBS}
TESTOBJS:=${OBJS} dbtest.o
OBJS:=${OBJS} db.o
HDRS:=db.h
LOBJS:=${OBJS:.o=.lo}
LTESTOBJS:=${TESTOBJS:.o=.lo}

# In order to use libtool versioning correcty, we must have:
#
# current = major + minor + offset
# revision = patch
# age = minor
#
# where offset is a sum of maximal released minor's of all previous major's
# 

# counted minors: 1.0, 2.0
offset=0

version_info:=-version-info ${shell \
	perl -e '$$,=":"; @F=split "\\.","${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }

default all: compile doc

libglite_lbu_db.la: ${LOBJS}
	${LINK} ${version_info} -o $@ $+ ${EXT_LIBS}

libglite_lbu_dbtest.la: ${LTESTOBJS}
	${LINK} ${version_info} -o $@ $+ ${EXT_LIBS}

dbtest.lo dbtest.o: db.c db.h
	${COMPILE} -DGLITE_LBU_DEFAULT_RESULT_BUFFER_LENGTH=10 -c $< -o $@

db_test_mysql: db_test_mysql.lo libglite_lbu_dbtest.la
	${LINK} -o $@ $+

db_test_psql: db_test_psql.lo libglite_lbu_dbtest.la
	${LINK} -o $@ $+

db_expire: db_expire.lo libglite_lbu_dbtest.la
	${LINK} -o $@ $+

timezone: timezone.lo libglite_lbu_db.la
	${LINKXX} -o $@ $+ ${TEST_LIBS}

compile: libglite_lbu_db.la

check: timezone
	LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${log4c_prefix}/${libdir} ./timezone

test_coverage:
	-mkdir coverage
	cd coverage && $(MAKE) -f ../Makefile top_srcdir=../../ COVERAGE_FLAGS="-fprofile-arcs -ftest-coverage" check
	cd coverage && for i in `echo ${OBJS} | tr ' ' '\012' | sort -u`; do gcov $$i ; done

examples: db_test_mysql db_test_psql db_expire

doc:

olddoc:
	cp ${top_srcdir}/doc/*.dox .
	echo "PROJECT_NUMBER = ${version}" >> C.dox
	doxygen C.dox

stage: compile
	$(MAKE) install PREFIX=${stagedir} DOSTAGE=yes

dist: distsrc distbin

distsrc:
	mkdir -p ${top_srcdir}/${package}-${version}
	cd ${top_srcdir} && GLOBIGNORE="${package}-${version}" && cp -Rf * ${package}-${version}
	cd ${top_srcdir} && tar -czf ${distdir}/${package}-${version}_src.tar.gz --exclude-from=project/tar_exclude ${package}-${version}
	rm -rf ${top_srcdir}/${package}-${version}

distbin:
	$(MAKE) install PREFIX=`pwd`/tmpbuilddir${stagedir}
	save_dir=`pwd`; cd tmpbuilddir${stagedir}${prefix} && tar -czf $$save_dir/${top_srcdir}/${distdir}/${package}-${version}_bin.tar.gz *; cd $$save_dir
	rm -rf tmpbuilddir
        
install: all
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbutilsprefix}
	${INSTALL} -m 644 ${top_srcdir}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	-cp -r C ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	${INSTALL} -m 755 "libglite_lbu_db.la" "${DESTDIR}${PREFIX}${prefix}/${libdir}/libglite_lbu_db.la"; \
	${INSTALL} -m 644 ${top_srcdir}/interface/${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbutilsprefix}

clean:
	rm -rvf *.o *.lo *.loT .libs lib* *.c *.h *.dox C/ CPP/
	rm -rvf db_expire db_test db_test_mysql db_test_psql timezone

distclean:
	rm -rvf Makefile.inc *.spec debian/

db-mysql.o db-mysql.lo: db-mysql.c
	${COMPILE} ${MYSQL_CFLAGS} -c $<

db-pg.o db-pg.lo: db-pg.c
	${COMPILE} ${PSQL_CFLAGS} -c $<

db_test_mysql.o db_test_mysql.lo: db_test.c
	${COMPILE} -DMYSQL_BACKEND=1 -c $< -o $@

db_test_psql.o db_test_psql.lo: db_test.c
	${COMPILE} -DPSQL_BACKEND=1 -c $< -o $@

timezone.o timezone.lo: timezone.cpp
	${COMPILEXX} -c $< -o $@ ${TEST_INC}

%.o %.lo: %.c
	${COMPILE} -c $<

db.lo: db.c db.h db-int.h
db_test_psql.lo: libglite_lbu_dbtest.la db.h db-int.h db_test.c
db_test_mysql.lo: libglite_lbu_dbtest.la db.h db-int.h db_test.c
db-mysql.lo: db-mysql.c db-int.h db.h
db-pg.lo: db-pg.c db-int.h db.h

.PHONY: default all compile check examples doc stage dist distsrc distbin install clean test_coverage distclean

=== debian/changelog ===
glite-lbjp-common-db (3.1.2-2) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 04 May 2012 14:36:09 +0200

=== debian/control ===
Source: glite-lbjp-common-db
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, liblog4c-dev, libglite-lbjp-common-trio-dev, libglite-lbjp-common-log-dev, libmysqlclient-dev, libpq-dev, libtool
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libglite-lbu-db3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Database engine abstraction wrapper used in L&B and JP services
 Database engine abstraction wrapper used in L&B and JP
 services.

Package: libglite-lbjp-common-db-dev
Section: libdevel
Architecture: any
Provides: glite-lbjp-common-db
Depends: libglite-lbu-db3 (= ${binary:Version}), ${misc:Depends}
Description: Development files for gLite L&B/JP common db module
 This package contains development libraries and header files for gLite L&B/JP
 common db module.

Package: glite-lbjp-common-db-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libglite-lbu-db3 (= ${binary:Version}), ${misc:Depends}
Description: gLite L&B/JP common db module debugging symbols
 This package contains debugging symbols for gLite L&B/JP common db module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lbjp-common.db
	touch $@

build: build-arch build-indep

build-arch build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -rvf $(CURDIR)/debian/tmp/usr/share
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_strip --dbg-package=glite-lbjp-common-db-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## glite-lbjp-common-db 3.1.3

=== debian/changelog ===
glite-lbjp-common-db (3.1.3-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:23:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, liblog4c-dev, libglite-lbjp-common-trio-dev, libglite-lbjp-common-log-dev, libmysqlclient-dev, libpq-dev, libtool
+Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, liblog4c-dev, libglite-lbjp-common-trio-dev, libglite-lbjp-common-log-dev, libmysqlclient-dev, libpq-dev, libtool, pkg-config
 Standards-Version: 3.9.1
 Section: libs
 Homepage: http://glite.cern.ch

## glite-lbjp-common-db 3.2.1

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,8 @@
 thrflavour=gcc32pthr
 nothrflavour=gcc32
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
 
@@ -23,6 +25,8 @@
 CC=gcc
 
 VPATH=${top_srcdir}/interface:${top_srcdir}/src:${top_srcdir}/examples:${top_srcdir}/test
+
+SOURCES=doc/C.dox examples/*.c interface/*.h project/.post* src/*.c test/*.cpp LICENSE Makefile
 
 DEBUG:=-g -O0 -W -Wall
 
@@ -84,7 +88,7 @@
 version_info:=-version-info ${shell \
 	perl -e '$$,=":"; @F=split "\\.","${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }
 
-default all: compile doc
+all: compile doc
 
 libglite_lbu_db.la: ${LOBJS}
 	${LINK} ${version_info} -o $@ $+ ${EXT_LIBS}
@@ -129,19 +133,6 @@
 stage: compile
 	$(MAKE) install PREFIX=${stagedir} DOSTAGE=yes
 
-dist: distsrc distbin
-
-distsrc:
-	mkdir -p ${top_srcdir}/${package}-${version}
-	cd ${top_srcdir} && GLOBIGNORE="${package}-${version}" && cp -Rf * ${package}-${version}
-	cd ${top_srcdir} && tar -czf ${distdir}/${package}-${version}_src.tar.gz --exclude-from=project/tar_exclude ${package}-${version}
-	rm -rf ${top_srcdir}/${package}-${version}
-
-distbin:
-	$(MAKE) install PREFIX=`pwd`/tmpbuilddir${stagedir}
-	save_dir=`pwd`; cd tmpbuilddir${stagedir}${prefix} && tar -czf $$save_dir/${top_srcdir}/${distdir}/${package}-${version}_bin.tar.gz *; cd $$save_dir
-	rm -rf tmpbuilddir
-        
 install: all
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
@@ -154,6 +145,7 @@
 clean:
 	rm -rvf *.o *.lo *.loT .libs lib* *.c *.h *.dox C/ CPP/
 	rm -rvf db_expire db_test db_test_mysql db_test_psql timezone
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
@@ -182,4 +174,4 @@
 db-mysql.lo: db-mysql.c db-int.h db.h
 db-pg.lo: db-pg.c db-int.h db.h
 
-.PHONY: default all compile check examples doc stage dist distsrc distbin install clean test_coverage distclean
+.PHONY: default all compile check examples doc stage dist distsrc distbin install clean test_coverage distclean dist distcheck

=== debian/changelog ===
glite-lbjp-common-db (3.2.1-0head.2) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 14 Aug 2012 19:22:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, liblog4c-dev, libglite-lbjp-common-trio-dev, libglite-lbjp-common-log-dev, libmysqlclient-dev, libpq-dev, libtool, pkg-config
+Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, liblog4c-dev, libglite-lbjp-common-trio-dev, libglite-lbjp-common-log-dev, libmysqlclient-dev, libtool, pkg-config
 Standards-Version: 3.9.1
 Section: libs
 Homepage: http://glite.cern.ch

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 configure-stamp:
 	dh_testdir
 	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lbjp-common.db
+	sed -i.orig -e 's/postgresql_prefix.*/postgresql_prefix = no/' Makefile.inc
 	touch $@
 
 build: build-arch build-indep

## glite-lbjp-common-db 3.2.6

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 VPATH=${top_srcdir}/interface:${top_srcdir}/src:${top_srcdir}/examples:${top_srcdir}/test
 
-SOURCES=doc/C.dox examples/*.c interface/*.h project/.post* src/*.c test/*.cpp LICENSE Makefile
+SOURCES=doc/C.dox examples/*.c interface/*.h project/.post* src/*.c test/*.cpp Makefile
 
 DEBUG:=-g -O0 -W -Wall
 
@@ -135,10 +135,9 @@
 
 install: all
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
-	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
+#	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbutilsprefix}
-	${INSTALL} -m 644 ${top_srcdir}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
-	-cp -r C ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
+#	-cp -r C ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	${INSTALL} -m 755 "libglite_lbu_db.la" "${DESTDIR}${PREFIX}${prefix}/${libdir}/libglite_lbu_db.la"; \
 	${INSTALL} -m 644 ${top_srcdir}/interface/${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbutilsprefix}
 
@@ -148,7 +147,7 @@
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
-	rm -rvf Makefile.inc *.spec debian/
+	rm -rvf project/changelog Makefile.inc *.spec debian/
 
 db-mysql.o db-mysql.lo: db-mysql.c
 	${COMPILE} ${MYSQL_CFLAGS} -c $<

=== debian/changelog ===
glite-lbjp-common-db (3.2.6-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sun, 03 Feb 2013 20:26:37 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 # -*- makefile -*-
 
 -include /usr/share/dpkg/buildflags.mk
+
+p_dbg=glite-lbjp-common-db-dbg
+p_dev=libglite-lbjp-common-db-dev
+p_lib=libglite-lbu-db3
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
@@ -28,7 +32,7 @@
 	dh_testroot
 	rm -f configure-stamp build-stamp
 	$(MAKE) clean
-	rm -f Makefile.inc config.status
+	rm -f Makefile.inc config.status *.spec
 	dh_clean
 
 install: build-stamp
@@ -37,17 +41,19 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	rm -rvf $(CURDIR)/debian/tmp/usr/share
-	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
-	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
-	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
+	rm -vf debian/tmp/usr/lib/*.la
+	find debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
+	mkdir -p debian/$(p_dev)/usr/share/doc
+	mkdir -p debian/$(p_dbg)/usr/share/doc
+	ln -s $(p_lib) debian/$(p_dev)/usr/share/doc/$(p_dev)
+	ln -s $(p_lib) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
 
 binary-indep:
 
 binary-arch: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
+	dh_installchangelogs project/ChangeLog
 	dh_installdocs
 	dh_installexamples
 	dh_installman
@@ -55,7 +61,7 @@
 	dh_installcron
 	dh_install --fail-missing
 	dh_link
-	dh_strip --dbg-package=glite-lbjp-common-db-dbg
+	dh_strip --dbg-package=$(p_dbg)
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs

## glite-lbjp-common-db 3.2.8

=== debian/changelog ===
glite-lbjp-common-db (3.2.8-1+meta) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 24 Jun 2013 10:02:48 +0200

=== debian/control ===
--- 
+++ 
@@ -27,10 +27,10 @@
  This package contains development libraries and header files for gLite L&B/JP
  common db module.
 
-Package: glite-lbjp-common-db-dbg
+Package: libglite-lbu-db3-dbg
 Section: debug
 Architecture: any
 Priority: extra
 Depends: libglite-lbu-db3 (= ${binary:Version}), ${misc:Depends}
-Description: gLite L&B/JP common db module debugging symbols
+Description: Debugging symbols for gLite L&B/JP common db module
  This package contains debugging symbols for gLite L&B/JP common db module.

## glite-lbjp-common-db 3.2.9

=== Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
+docdir?=${prefix}/share/doc/${package}-${version}
 
 CC=gcc
 
@@ -30,14 +31,14 @@
 
 DEBUG:=-g -O0 -W -Wall
 
-CFLAGS:= ${CFLAGS} \
+CFLAGS:= \
 	${DEBUG} \
 	-DVERSION=\"${version}\" \
 	-I${stagedir}${prefix}/include -I${top_srcdir}/src -I. \
 	-I${top_srcdir}/interface \
 	${COVERAGE_FLAGS} \
 	-D_GNU_SOURCE \
-	-DHAVE_SYSLOG_H=1
+	-DHAVE_SYSLOG_H=1 ${CFLAGS}
 
 ifdef LBS_DB_PROFILE
 	CFLAGS:=${CFLAGS} -DLBS_DB_PROFILE
@@ -135,9 +136,9 @@
 
 install: all
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
-#	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
+#	-mkdir -p ${DESTDIR}${PREFIX}${docdir}
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbutilsprefix}
-#	-cp -r C ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
+#	-cp -r C ${DESTDIR}${PREFIX}${docdir}
 	${INSTALL} -m 755 "libglite_lbu_db.la" "${DESTDIR}${PREFIX}${prefix}/${libdir}/libglite_lbu_db.la"; \
 	${INSTALL} -m 644 ${top_srcdir}/interface/${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbutilsprefix}

=== debian/changelog ===
glite-lbjp-common-db (3.2.9-1+meta) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:53 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 -include /usr/share/dpkg/buildflags.mk
 
-p_dbg=glite-lbjp-common-db-dbg
+p_dbg=libglite-lbu-db3-dbg
 p_dev=libglite-lbjp-common-db-dev
 p_lib=libglite-lbu-db3

## glite-lbjp-common-db 3.2.11

=== Makefile ===
--- 
+++ 
@@ -63,8 +63,9 @@
 
 COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
 COMPILEXX:=libtool --mode=compile ${CXX} ${CFLAGS}
-LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS} 
-LINKXX:=libtool --mode=link ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS} 
+LINK:=libtool --mode=link ${CC} ${LDFLAGS}
+SOLINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
+LINKXX:=libtool --mode=link ${CXX} ${LDFLAGS}
 INSTALL:=libtool --mode=install install
 
 EXT_LIBS:=-lglite_lbu_trio -lglite_lbu_log ${MYSQL_LIBS} ${PSQL_LIBS}
@@ -92,10 +93,10 @@
 all: compile doc
 
 libglite_lbu_db.la: ${LOBJS}
-	${LINK} ${version_info} -o $@ $+ ${EXT_LIBS}
+	${SOLINK} ${version_info} -o $@ $+ ${EXT_LIBS}
 
 libglite_lbu_dbtest.la: ${LTESTOBJS}
-	${LINK} ${version_info} -o $@ $+ ${EXT_LIBS}
+	${SOLINK} ${version_info} -o $@ $+ ${EXT_LIBS}
 
 dbtest.lo dbtest.o: db.c db.h
 	${COMPILE} -DGLITE_LBU_DEFAULT_RESULT_BUFFER_LENGTH=10 -c $< -o $@

=== debian/changelog ===
glite-lbjp-common-db (3.2.11-1.git20151003+meta) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sat, 03 Oct 2015 10:10:52 +0200

=== debian/control ===
Source: glite-lbjp-common-db
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), libcppunit-dev, liblog4c-dev, libglite-lbjp-common-trio-dev, libglite-lbjp-common-log-dev, libmysqlclient-dev, libtool-bin, pkg-config
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch

Package: libglite-lbu-db3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Database engine abstraction wrapper used in L&B and JP services
 Database engine abstraction wrapper used in L&B and JP
 services.

Package: libglite-lbjp-common-db-dev
Section: libdevel
Architecture: any
Provides: glite-lbjp-common-db
Depends: libglite-lbu-db3 (= ${binary:Version}), ${misc:Depends}
Description: Development files for gLite L&B/JP common db module
 Database engine abstraction wrapper used in L&B and JP
 services.
 .
 This package contains development libraries and header files for gLite L&B/JP
 common db module.

Package: libglite-lbu-db3-dbg
Section: debug
Architecture: any
Depends: libglite-lbu-db3 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gLite L&B/JP common db module
 Database engine abstraction wrapper used in L&B and JP
 services.
 .
 This package contains debugging symbols for gLite L&B/JP common db module.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

p_dbg=libglite-lbu-db3-dbg
p_dev=libglite-lbjp-common-db-dev
p_lib=libglite-lbu-db3

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --os-type=debian --project=emi
	sed -i.orig -e 's/postgresql_prefix.*/postgresql_prefix = no/' Makefile.inc

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -vf Makefile.inc config.status *.spec

override_dh_strip:
	dh_strip --dbg-package=$(p_dbg)

override_dh_auto_install:
	dh_auto_install
	rm -vf debian/tmp/usr/lib/*.la

override_dh_installdocs:
	dh_installdocs --link-doc=$(p_lib)

=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lbjp-common.db/glite-lbjp-common-db-(.*)\.tar\.gz
